curl -X POST https://sandbox.layerfi.com/v1/internal-bank-transactions \
-H "Authorization: Bearer <access_token>" \
-H "Content-Type: application/json" \
-d '[{
"external_id": "31415926535",
"bank_account_id": "111111111",
"direction": "Debit",
"transaction_type": "Purchase",
"amount": 250000,
"balance": 12345,
"created_at": "2023-06-01T12:00:00Z",
"processed_counterparty_name": "WeWork"
}]'
{
"data": [
{
"type": "Flat_Bank_Transaction",
"id": "718ca8b7-5c5d-430c-9132-11557c5f7ccc",
"bank_transaction_id": "31415926535",
"created_at": "2023-06-01T12:00:00Z",
"transaction_type": "Purchase",
"bank_account_id": "1111111111",
"business_id": "f9baa8fd-9413-4bcf-810b-6d32604de649",
"direction": "DEBIT",
"balance": 12345,
"amount": 250000,
"processed_counterparty_name": "WeWork",
"categorizationStatus": "PENDING"
}
],
"meta": {}
}
Create Bank Transactions
Bulk import bank transactions.
POST
/
v1
/
internal-bank-transactions
curl -X POST https://sandbox.layerfi.com/v1/internal-bank-transactions \
-H "Authorization: Bearer <access_token>" \
-H "Content-Type: application/json" \
-d '[{
"external_id": "31415926535",
"bank_account_id": "111111111",
"direction": "Debit",
"transaction_type": "Purchase",
"amount": 250000,
"balance": 12345,
"created_at": "2023-06-01T12:00:00Z",
"processed_counterparty_name": "WeWork"
}]'
{
"data": [
{
"type": "Flat_Bank_Transaction",
"id": "718ca8b7-5c5d-430c-9132-11557c5f7ccc",
"bank_transaction_id": "31415926535",
"created_at": "2023-06-01T12:00:00Z",
"transaction_type": "Purchase",
"bank_account_id": "1111111111",
"business_id": "f9baa8fd-9413-4bcf-810b-6d32604de649",
"direction": "DEBIT",
"balance": 12345,
"amount": 250000,
"processed_counterparty_name": "WeWork",
"categorizationStatus": "PENDING"
}
],
"meta": {}
}
This endpoint allows transactions to be imported for any number of businesses simultaneously. Transactions will be matched to businesses using the transactions’Documentation Index
Fetch the complete documentation index at: https://docs.layerfi.com/llms.txt
Use this file to discover all available pages before exploring further.
bank_account_id.
Body
An array of BankTransaction objects to import.
Show BankTransaction properties
Show BankTransaction properties
Unique ID of the bank transaction in your system for linking purposes. Idempotency key.
ID of the Bank Account this transaction occurred within.
Direction of the transaction.
Values can be:
CREDIT, DEBITAmount of the transaction in cents.
Balance post-transaction settlement in cents.
Date the transaction occurred.
Name of the merchant or counterparty associated with the transaction
The type of bank account transaction (debit card, check, wire, etc). Can be any string.
MCC of counterparty merchant for debit card transactions.
Location of counterparty merchant.
Last 4 digits of the debit card used for the transaction.
Description of the transaction.
Response
Returns the imported Bank Transaction Objectscurl -X POST https://sandbox.layerfi.com/v1/internal-bank-transactions \
-H "Authorization: Bearer <access_token>" \
-H "Content-Type: application/json" \
-d '[{
"external_id": "31415926535",
"bank_account_id": "111111111",
"direction": "Debit",
"transaction_type": "Purchase",
"amount": 250000,
"balance": 12345,
"created_at": "2023-06-01T12:00:00Z",
"processed_counterparty_name": "WeWork"
}]'
{
"data": [
{
"type": "Flat_Bank_Transaction",
"id": "718ca8b7-5c5d-430c-9132-11557c5f7ccc",
"bank_transaction_id": "31415926535",
"created_at": "2023-06-01T12:00:00Z",
"transaction_type": "Purchase",
"bank_account_id": "1111111111",
"business_id": "f9baa8fd-9413-4bcf-810b-6d32604de649",
"direction": "DEBIT",
"balance": 12345,
"amount": 250000,
"processed_counterparty_name": "WeWork",
"categorizationStatus": "PENDING"
}
],
"meta": {}
}
⌘I